AI 模型接口视频(Videos)原厂 MiniMax 风格

查询任务

按 task_id 查询最近 7 天内的 MiniMax 视频生成、H3-Context-IR 或视频再生成任务。视频产物 URL 有有效期,建议及时下载或转存。

GET
/v2/query/video_generation/{task_id}

Path Parameters

task_id*string

创建任务返回的任务 ID。仅支持查询最近 7 天内的记录。

Header Parameters

Authorization*string

Bearer API Key。

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/query/video_generation/string" \  -H "Authorization: string"
{
  "task": {
    "id": "string",
    "model": "string",
    "status": "queued",
    "error": {
      "code": "string",
      "message": "string"
    },
    "created_at": 0,
    "updated_at": 0,
    "content": {
      "url": "string",
      "prompt": "string"
    },
    "resolution": "string",
    "duration": 0,
    "usage": {
      "total_seconds": 0,
      "input_seconds": 0,
      "output_seconds": 0,
      "input_image_count": 0,
      "total_tokens": 0,
      "prompt_tokens": 0,
      "completion_tokens": 0
    },
    "ratio": "string",
    "task_type": "generation",
    "modality": "video"
  }
}
{
  "type": "string",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}
{
  "type": "string",
  "error": {},
  "request_id": "string"
}

这篇文档对您有帮助吗?